[@rxap/window-system](../wiki/globals) / WindowContainerContext

# Interface: WindowContainerContext\<T\>

Defined in: [packages/angular/window-system/src/lib/window-context.ts:15](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-context.ts#L15)

## Type Parameters

• **T**

## Properties

### component?

> `optional` **component**: `ComponentType`\<`T`\>

Defined in: [packages/angular/window-system/src/lib/window-context.ts:16](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-context.ts#L16)

***

### template?

> `optional` **template**: `TemplateRef`\<`T`\>

Defined in: [packages/angular/window-system/src/lib/window-context.ts:17](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-context.ts#L17)
